# $Revision: 1.21 $, $Date: 2006/07/18 21:09:04 $
#
# Conditional build:
%bcond_with	msdblib		# use MS-style dblib instead of SYB-style
#
# %%define tdsver - default protocol version; valid versions:
# 4.2 (used by Sybase SQLServer <= 10 and MS SQL Server 6.5)
# 4.6
# 5.0 (used by Sybase SQLServer >= 11)
# 7.0 (used by MS SQL Server 7.0) [spec default]
# 8.0

%{!?tdsver:%define tdsver 7.0}

Summary:	Free implementation of Sybase's db-lib
Summary(pl):	Wolnodostpna implementacja db-lib firmy Sybase
Name:		freetds
Version:	0.64
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/%{name}-%{version}.tar.gz
# Source0-md5:	ecfee5d6c96932172a1f29fb215c9d23
URL:		http://www.freetds.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	unixODBC-devel
Requires(post):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/tds

%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries (which can be used also to work with MS SQL
databases). Currently, dblib and ctlib are most mature. Both of these
libraries have several programs known to compile and run against them.
ODBC is not quite as mature, but may work depending on your needs.

%description -l pl
FreeTDS to wolnodostpna (z otwartymi rdami) implementacja
bibliotek db-lib, ct-lib i ODBC firmy Sybase (ktrych mona uywa
take do pracy z bazami MS SQL). Aktualnie najlepiej dziaaj dblib i
ctlib - istnieje troch programw, o ktrych wiadomo, e kompiluj si
i dziaaj z tymi bibliotekami. ODBC nie jest jeszcze na tyle
skoczony, ale moe dziaa w zalenoci od potrzeb.

%package devel
Summary:	FreeTDS header files
Summary(pl):	Pliki nagwkowe FreeTDS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
FreeTDS header files.

%description devel -l pl
Pliki nagwkowe FreeTDS.

%package static
Summary:	FreeTDS static libraries
Summary(pl):	Statyczne biblioteki FreeTDS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FreeTDS static libraries.

%description static -l pl
Statyczne biblioteki FreeTDS.

%package odbc
Summary:	FreeTDS ODBC driver for unixODBC
Summary(pl):	Sterownik ODBC FreeTDS dla unixODBC
Group:		Libraries
Requires(post):	/sbin/ldconfig
Requires(post):	/usr/bin/odbcinst
Requires:	%{name} = %{version}-%{release}
Requires:	unixODBC

%description odbc
FreeTDS ODBC driver for unixODBC.

%description odbc -l pl
Sterownik ODBC FreeTDS dla unixODBC.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-tdsver=%{tdsver} \
	%{?with_msdblib:--with-msdblib} \
	--with-openssl \
	--with-unixodbc=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	ETC=$RPM_BUILD_ROOT%{_sysconfdir}

mv -f src/pool/BUGS BUGS.pool
mv -f src/pool/README README.pool
mv -f src/pool/TODO TODO.pool

# ODBC driver, dlopen()ed
rm -f $RPM_BUILD_ROOT%{_libdir}/libtdsodbc.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -f /etc/freetds.conf ]; then
	mv -f /etc/freetds.conf %{_sysconfdir}/freetds.conf
fi

%postun	-p /sbin/ldconfig

%post odbc
/sbin/ldconfig
/usr/bin/odbcinst -i -d -r <<EOF
[FreeTDS]
Description = FreeTDS unixODBC Driver
Driver = %{_libdir}/libtdsodbc.so.0
Setup = %{_libdir}/libtdsodbc.so.0
EOF
/usr/bin/odbcinst -i -d -r <<EOF
[SQL Server]
Description = FreeTDS unixODBC Driver
Driver = %{_libdir}/libtdsodbc.so.0
Setup = %{_libdir}/libtdsodbc.so.0
EOF

%postun odbc -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS* ChangeLog NEWS README* TODO*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libct.so.*.*.*
%attr(755,root,root) %{_libdir}/libsybdb.so.*.*.*
%attr(755,root,root) %{_libdir}/libtds.so.*.*.*
%attr(755,root,root) %{_libdir}/libtdssrv.so.*.*.*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/freetds.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/locales.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pool.conf
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libct.so
%attr(755,root,root) %{_libdir}/libsybdb.so
%attr(755,root,root) %{_libdir}/libtds.so
%attr(755,root,root) %{_libdir}/libtdssrv.so
%{_libdir}/libct.la
%{_libdir}/libsybdb.la
%{_libdir}/libtds.la
%{_libdir}/libtdssrv.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libct.a
%{_libdir}/libsybdb.a
%{_libdir}/libtds.a
%{_libdir}/libtdssrv.a

%files odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtdsodbc.so.*.*.*
%attr(755,root,root) %{_libdir}/libtdsodbc.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freetds.spec,v $
Revision 1.21  2006/07/18 21:09:04  qboosh
- updated to 0.64
- enabled SSL support (using openssl; gnutls is also available)
- separated odbc driver, register it in its post

Revision 1.20  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.18  2005/04/18 10:00:47  hawk
- release 2 (1 will be for Ra)

Revision 1.17  2005/04/05 05:34:47  qboosh
- updated to 0.63 (note: new sonames)

Revision 1.16  2005/01/02 12:51:37  hawk
- release 2 (1 for RA)

Revision 1.15  2004/08/24 17:08:40  qboosh
- added NEWS to docs

Revision 1.14  2004/06/20 13:36:07  grzegol
- updated to 0.62.4
- removed not needed BR: glib-devel

Revision 1.13  2004/04/14 11:07:49  qboosh
- updated to 0.62.3

Revision 1.12  2004/02/23 00:25:36  qboosh
- updated to 0.62.1 (note: new sonames), removed obsolete nolibnsl patch

Revision 1.11  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.10  2003/05/25 05:47:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/20 22:32:05  qboosh
- specify --with-unixodbc=/usr not just --with-unixodbc to avoid evil -L
- release 2

Revision 1.8  2003/03/04 23:32:55  qboosh
- added pool configuration file and docs

Revision 1.7  2003/03/03 02:57:10  radek
- version 0.61,  BR: libltdl-devel

Revision 1.6  2003/03/02 19:44:42  qboosh
- added nolibnsl patch, fixed ac/am/lt
- release 2

Revision 1.5  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/09/13 20:26:37  qboosh
- updated to 0.60
- configuration moved to /etc/tds (new file with rather common name appeared)

Revision 1.3  2002/07/25 05:38:56  kloczek
- use new %doc.

Revision 1.2  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/03/22 22:12:30  qboosh
- new
